Status: Closed

Priority: Normal

Assignee: Alexander Bruy

Category: Processing/Modeller

Affected QGIS version:2.18.9 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 24614
Description

Hi,

this bug only exists on windows. Select algs ( select by expression, select by location...) work well on linux ggis 2.18.9.
| have tested for the moment only on 2.18.9 on windows (x64) et linux (x86) (not mac). | will test on master (windows) too.

The select algs seems to work well on every system when the selection is not made on the output of a geoprocessing alg.

I made some model to reproduce the bug and there is a video.
All models work perfectly well on linux.

Only tested with select by expression and select by location.

Maybe related to this #14645

Regards,

History

#1 - 2017-06-16 02:54 PM - Giovanni Manghi

- Operating System changed from WINDOWS to Windows

- Subject changed from On windows : SELECT algs in modeler don't work to Processing: SELECT algs don't work in modeller on Windows
- Priority changed from High to Normal

#2 - 2017-06-19 09:07 PM - Anita Graser

Since models in current Processing versions ignore selections, I'm not sure if there is any use case for the select tools inside models.

#3 - 2017-06-20 04:04 PM - jd lom

Anita Graser wrote:

Since models in current Processing versions ignore selections, I'm not sure if there is any use case for the select tools inside models.

So what the point to have 'save selected features' algorithm ?

#4 - 2017-06-29 01:13 AM - Nyall Dawson
- Status changed from Open to Closed
- Resolution set to fixed/implemented

Fixed in master

#5 - 2017-07-11 01:26 PM - Jiirgen Fischer

- Description updated
